Skip to main content
PATCH
/
api
/
test-cases
/
v2
/
{id}
Update Test Case Tags
curl --request PATCH \
  --url https://dash.empirical.run/api/test-cases/v2/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tags": [
    "<string>"
  ]
}
'
{
  "data": {
    "test_case": {
      "id": "<string>",
      "name": "<string>",
      "file_path": "<string>",
      "suites": [
        "<string>"
      ],
      "playwright_project": "<string>",
      "tags": [
        "<string>"
      ]
    },
    "source_file_updated": true
  }
}

Authorizations

Authorization
string
header
required

API key from the Empirical dashboard.

Path Parameters

id
string
required

Playwright test ID (pw_test_id).

Body

application/json

Tags to set.

tags
string[]
required

Array of tags to assign to the test case.

Response

Updated test case.

data
object
required